<template>
  <CCard>
    <CCardHeader>
      <div>
        <font-awesome-icon :icon="['fas', 'yen-sign']" />
        <strong>確定状況</strong>
      </div>
    </CCardHeader>

    <CCardBody>
      <p class="text-success">
        現在の確定状況です。
      </p>

      <CDataTable
        hover
        :items="data"
        :fields="FIELDS_BID_CONFIRMED"
        class="table-wrapper"
      >
        <template #starting_price="{item}">
          <td>
            {{ item.product.starting_price }}
          </td>
        </template>

        <template #current_price="{item}">
          <td>
            {{ item.product.current_price }}
          </td>
        </template>

        <template #expected_price="{item}">
          <td>
            {{ item.product.expected_price }}
          </td>
        </template>

        <template #status="{item}">
          <td>
            {{ item.product.status }}
          </td>
        </template>

        <template #action>
          <td class="white-space-nowrap">
            <CButton size="sm" color="success">
              <font-awesome-icon :icon="['fas', 'arrow-right']" />
            </CButton>
          </td>
        </template>
      </CDataTable>
    </CCardBody>
  </CCard>
</template>

<script>
const FIELDS_BID_CONFIRMED = [
  { key: 'id', label: 'カテゴリ', _classes: 'id' },
  { key: 'price', label: '入札総数', _classes: 'name' },
  { key: 'starting_price', label: '落札', _classes: 'starting-price' },
  { key: 'current_price', label: '落札合計額', _classes: 'current-price' },
  { key: 'expected_price', label: '保留', _classes: 'expected-price' },
  { key: 'status', label: '鉄砲', _classes: 'status' },
  { key: 'action', label: '明細へ', _classes: 'action' }
]

export default {
  props: {
    data: {
      type: Array,
      default: () => []
    }
  },

  computed: {
    /**
     * Get FIELDS_BID_CONFIRMED of header table
     *
     * @return {array} FIELDS_BID_CONFIRMED of header table
     */
    FIELDS_BID_CONFIRMED () {
      return FIELDS_BID_CONFIRMED
    }
  }
}
</script>
